# Reference: <https://postmarketos.org/devicepkg>
pkgname=device-asus-z00t
pkgdesc="Zenfone 2 Laser/Selfie (1080p)"
pkgver=0.1
pkgrel=6
url="https://postmarketos.org"
license="MIT"
arch="aarch64"
options="!check !archcheck"
depends="postmarketos-base linux-asus-z00t mkbootimg mesa-dri-swrast msm-fb-refresher"
makedepends="devicepkg-dev"
subpackages="$pkgname-nonfree-firmware:nonfree_firmware"
source="
	deviceinfo
	90-touchscreen.rules
"

build() {
	devicepkg_build $startdir $pkgname
}

package() {
	devicepkg_package $startdir $pkgname
	install -Dm644 "$srcdir"/90-touchscreen.rules "$pkgdir"/etc/udev/rules.d/90-touchscreen.rules
}

nonfree_firmware() {
	pkgdesc="All non-free firmwares from a device image. Includes firmware for wifi, modem and camera among others."
	depends="firmware-asus-z00t"
	mkdir "$subpkgdir"
}

sha512sums="b9904223445f5e68af5d2fce536d094843ec1c600b23bfa2f4aa9fac9e926fbda691c610898954aaa3e57b7162b038a79a7cc663c21ab4a3cf98fd9f5edf13b8  deviceinfo
5bcf314aa8e77db9d9673a93886906bd15e8c3c57f8d0c4343977d2ce8d017af5608a3d13cd2cbacf155e3ecf632ccab6ff6f3b0c95eb4a2a3b35686a3c842db  90-touchscreen.rules"
